package cn.edu.whu.boot.xml.domain;

import java.io.Serializable;
import java.util.Date;

/**
 * 对应 public.xml 表! 主要是将 XML 文件的相关信息保存起来
 */
public class XmlEnity implements Serializable {

    private static final long serialVersionUID = -4579083587507180460L;

    /**
     * 主键
     */
    private Integer id;

    /**
     * XML 文件名
     */
    private String fileName;

    /**
     * XML 文件对应的 md5Code
     */
    private String md5Code;

    /**
     * XML 文件路径
     */
    private String filePath;

    /**
     * 文件创建时间
     */
    private Date createTime;

    /**
     * 文件修改时间
     */
    private Date modifyTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getMd5Code() {
        return md5Code;
    }

    public void setMd5Code(String md5Code) {
        this.md5Code = md5Code;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }
}